Subject: Re: [PATCH v3 14/26] PCI: keystone: Add support for PCIe RC in AM654x Platforms

From: Lorenzo Pieralisi <[email-masked]>
Date: Tue, 16 Apr 2019 15:15:25 +0100

On Sat, Apr 13, 2019 at 10:26:33AM -0500, Bjorn Helgaas wrote:
> On Mon, Mar 25, 2019 at 03:09:35PM +0530, Kishon Vijay Abraham I wrote:
> > Add PCIe RC support for AM654x Platforms in pci-keystone.c
> 
> > +static int ks_pcie_am654_msi_host_init(struct pcie_port *pp)
> > +{
> > +	struct dw_pcie *pci = to_dw_pcie_from_pp(pp);
> > +	struct device *dev = pci->dev;
> > +
> > +	dev_vdbg(dev, "dummy function so that DW core doesn't configure MSI\n");
> 
> Drive-by nit: this is the first occurrence of dev_vdbg() in
> drivers/pci, and while dev_vdbg() might be useful somewhere, I'm not
> sure this is the place.
> 
> It took me 10 minutes of archaeology to figure out what it is and how
> to use it.  Apparently it does nothing at all unless you define
> VERBOSE_DEBUG, which can be set via Kconfig in a few cases:
> 
>   drivers/dma/Makefile:subdir-ccflags-$(CONFIG_DMADEVICES_VDEBUG) += -DVERBOSE_DEBUG
>   drivers/usb/dwc2/Makefile:ccflags-$(CONFIG_USB_DWC2_VERBOSE)    += -DVERBOSE_DEBUG
>   drivers/usb/gadget/Makefile:subdir-ccflags-$(CONFIG_USB_GADGET_VERBOSE) += -DVERBOSE_DEBUG
> 
> but is more commonly set by adding "#define VERBOSE_DEBUG" manually
> in a source file.  Neither one applies here, so I don't think this
> actually does anything.
> 
> Anyway, I suspect this particular message would make a lot of sense as
> a *comment*, but maybe not as a mysterious dev_vdbg() that never
> actually does anything.

I agree. Kishon ? I would do what Bjorn suggests here, please let me
know.

Lorenzo

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel